@media screen and (max-width: 665px) {
    div.sfx .pop-up {
        opacity: 0;
    }

    div.sfx .pop-up:hover {
        opacity: 1;
    }
    
    .timer-bar {
        opacity: 0 !important;
    }
}

@media screen and (max-width: 575px) {
    div.to-website .pop-up {
        opacity: 0;
    }

    div.to-website .pop-up:hover {
        opacity: 1;
    }
}

@media only screen and (max-device-width: 667px) 
    and (-webkit-device-pixel-ratio: 2) {
    div p.desk-small-screen {
        display: block;
    }
}

@media screen and (min-device-width : 414px) 
    and (-webkit-device-pixel-ratio: 3) {
    div p.desk-small-screen {
        display: block;
    }
}


@media screen and (max-width: 514px) {
    div p.desk-small-screen {
        display: block;
    }

    body div.square-container, 
    body div.instructions,
    body p.point, 
    .pop-up-container, 
    .begin-container, 
    .to-website,
    h2.clock, 
    .sfx  {
        display: none !important;
    }
}

body {
    background-color: #23394f;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
    overflow: hidden;
    position: fixed;
    height: 100%;
    width: 100%;
    margin: 0;
}

.green {
    background-color: #1E6E45;
}

.red {
    background-color: indianred !important;
}

.blue {
    background-color: #5683a8;
}

h1, h2, h3, h4, p {
    font-family: Source Sans Pro, Helvetica, sans-serif;
    line-height: 150%;
    font-weight: 200;
    color: white;
    text-align: center;
}

a {
    text-decoration: none !important;
    color: inherit;
}

a:hover {
    text-decoration: none !important;
}

h1 {
    font-size: 40px;
    font-weight: 600;
}

h2 {
    font-size: 30px;
    font-weight: 400;
}

h3 {
    display: inline-block;
    margin-left: 20px;
    margin-right: 20px;
    line-height: 200%;
}

p {
    font-weight: 100;
    font-size: 20px;
}

p.desk-small-screen {
    padding-left: 20px;
    padding-right: 20px;
    display: none;
}

.instructions {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    width: 500px;
    border-radius: 2px;
    border: 1px solid rgba(255, 255, 255, 0.7);
}

.highlight {
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 2px;
    padding-bottom: 4px;
    margin-right: 5px;
    margin-left: 5px;
    border-radius: 2px;
    background-color: white;
    color: black;
    font-weight: 600;
}

.highlight-down {
    padding-left: 20px;
    padding-right: 20px;
}

.square-container {
    opacity: 0;
    top: 70px;
    position: relative;
    text-align: center;
    margin-bottom: 150px;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.square {
    width: 200px;
    height: 200px;
    display: inline-block;
    position: relative;
    margin-left: 0px;
    margin-right: 0px;
}

.inner-object {
    background-color: darkseagreen;
    margin-right: auto;
    margin-left: auto;
    border-radius: 2px;
    top: 0;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

.object-left {
    position: relative;
    width: 110px;
    height: 110px;
    margin-top: 45px;
    top: 0;
}

.object-right {
    position: relative;
    width: 100px;
    height: 100px;
    margin-top: 50px;
    top: 0;
}

.arrow {
    width: 20px;
    height: 20px;
    border-radius: 1px;
    display: inline-block;
    position: relative;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 20px;
    background-color: cornflowerblue;
    -o-transform: rotateZ(45deg);
    -moz-transform: rotateZ(45deg);
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg);
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
    left: -102px;
    top: 0;
}

.right {
    left: 102px;
    -o-transform: rotateZ(405deg);
    -moz-transform: rotateZ(405deg);
    -webkit-transform: rotateZ(405deg);
    transform: rotateZ(405deg);
}

.lower {
    top: 20px;
}

.pop-up-container {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1000;
}

.pop-up-container .background {
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.6);
}

.pop-up-container .pop-up {
    position: relative;
    top: -85%;
    margin-left: auto;
    margin-right: auto;
    padding-top: 5px;
    width: 500px;
    height: auto;
    background-color: white;
    border-radius: 4px;
    text-align: center;
    z-index: 1001;
}

.pop-up-container .pop-up h1, 
.pop-up-container .pop-up h2,
.pop-up-container .pop-up p {
    color: #404040;
}

.pop-up-container .pop-up h2 {
    font-size: 24px;
    font-weight: 200;
}

.pop-up-container .pop-up p {
    margin-bottom: 30px;
}

.btn-challenge {
    position: relative;
    background-color: #2aae96;
    color: white;
    padding-top: 8px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    margin-top: 70px;
    border-radius: 2px;
    box-shadow: none;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.btn-play {
    cursor: pointer;
    background-color: #5683a8;
    color: white;
    padding-top: 8px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 2px;
    box-shadow: none;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.btn-challenge:hover,
.btn-play:hover {
    text-decoration: none;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.25);
}

.btn-challenge:active,
.btn-play:active {
    box-shadow: none;
}

.pad-btm-20 {
    padding: 20px;
}

.high {
    color: #2aae96 !important;
}

.medium {
    color: cornflowerblue !important;
}

.low {
    color: #f17c72 !important;
}

.bad {
    color: #bc4040 !important;
}

.line {
    position: relative;
    width: 60%;
    margin-right: auto;
    margin-left: auto;
    margin-top: 20px;
    margin-bottom: 30px;
    background-color: #404040;
    height: 1px;
}

.line2 {
    margin-top: 40px;
    margin-bottom: 40px;
}

.begin-container, 
.to-website {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    opacity: 1;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.to-website {
    z-index: 999;
}

.sfx {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 50%;
    z-index: 999;
    opacity: 1;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.begin-container .background {
    height: 100%;
    width: 100%;
}

.begin-container .pop-up {
    position: relative;
    top: -60%;
    margin-left: auto;
    margin-right: auto;
    padding-top: 5px;
    width: 500px;
    height: auto;
    border-radius: 4px;
    text-align: center;
}

.shift-key {
    color: #404040;
    background-color: white;
    border-radius: 2px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 2px;
    padding-bottom: 4px;
    margin-left: 10px;
    margin-right: 10px;
}

p.point {
    opacity: 0;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.to-website .pop-up {
    position: absolute;
    top: 0;
    left: 0;
    padding-top: 5px;
    height: auto;
    text-align: center;
    opacity: 1;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

.to-website h2 {
    padding-right: 20px;
    padding-left: 20px;
    margin-left: 20px;
    border-radius: 1000px;
    border: 1px solid white;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

.to-website h2:hover {
    background-color: white;
    color: #404040;
}

.sfx .pop-up {
    position: absolute;
    top: 0;
    right: 0;
    padding-top: 5px;
    height: auto;
    text-align: center;
    opacity: 1;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
}

.sfx h3 {
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-right: 20px;
    border-radius: 1000px;
    border: 1px solid white;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
    background-color: white;
    color: #404040;
}

.sfx h3:hover {
    background-color: #23394f;
    color: white;
}

.mute {
    background-color: #23394f !important;
    color: white !important;
}

#instructions2 {
    opacity: 0;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    -webkit-transition: all 0.4s;
    transition: all 0.4s;
}

.safari-only {
    display: none;
}

.IE-only {
    display: none;
}

.timer-bar {
    position: fixed;
    top: 132px;
    height: 10px;
    width: 350px;
    z-index: 10;
    transition: all 0.3s;
    -o-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    opacity: 0;
    background-color: #304F6D;
}

.timer-bar.one {
    right: 50%;
    margin-right: 80px;
}

.timer-bar.two {
    left: 50%;
    margin-left: 80px;
}
